Skip to main content
POST
https://api.muvi.video
/
v1
/
jobs
/
submit
Nano Banana
curl --request POST \
  --url https://api.muvi.video/v1/jobs/submit \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "<string>",
  "input": {
    "prompt": "<string>",
    "image_urls": [
      {}
    ],
    "aspect_ratio": "<string>",
    "resolution": "<string>"
  }
}
'
{
  "jobId": "<string>",
  "status": "<string>",
  "estimatedCompletionTime": "<string>",
  "costMicroCents": 123
}
Generate images from text descriptions with Google’s fast and affordable Nano Banana model. Supports multiple aspect ratios and resolution tiers.
PropertyValue
ProviderGoogle
ModelNano Banana
CapabilityText to Image
Base Cost40,000 micro-cents/request ($0.04)
Processing Time~30 seconds

Request Body

model
string
required
Model slug. Use google/nano-banana for text-to-image generation.
input
object
required
Input parameters for text-to-image generation.
webhookUrl
string
HTTPS URL to receive a webhook notification when the job completes or fails.

Pricing

Base cost: 40,000 micro-cents per request ($0.04)
finalCost = baseCost × resolution
FactorOptionMultiplier
Resolution1k1x
2k1x
4k2x
Default cost: 1k resolution = 40,000 × 1 = 40,000 micro-cents ($0.04)4k cost: 40,000 × 2 = 80,000 micro-cents ($0.08)

Response

jobId
string
Unique identifier for the submitted job.
status
string
Initial job status. Always "pending" on successful submission.
estimatedCompletionTime
string
ISO 8601 timestamp of the estimated completion time.
costMicroCents
number
The cost of the job in micro-cents.

Code Examples

curl -X POST https://api.muvi.video/v1/jobs/submit \
  -H "Authorization: Bearer $PIXELBYTE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "google/nano-banana",
    "input": {
      "prompt": "A futuristic cityscape at sunset with flying cars",
      "aspect_ratio": "16:9",
      "resolution": "2k"
    }
  }'

Edit Image

Edit and transform existing images using Google’s Nano Banana model. Provide reference images along with a text prompt to guide the editing process.
PropertyValue
ProviderGoogle
ModelNano Banana
CapabilityEdit Image
CategoryImage to Image
Base Cost40,000 micro-cents/request ($0.04)
Processing Time~30 seconds

Request Body

model
string
required
Model slug. Use google/nano-banana/edit-image for image editing.
input
object
required
Input parameters for image editing.
webhookUrl
string
HTTPS URL to receive a webhook notification when the job completes or fails.

Pricing

Base cost: 40,000 micro-cents per request ($0.04)
finalCost = baseCost × resolution
FactorOptionMultiplier
Resolution1k1x
2k1x
4k2x
Default cost: 1k resolution = 40,000 × 1 = 40,000 micro-cents ($0.04)4k cost: 40,000 × 2 = 80,000 micro-cents ($0.08)

Code Examples

curl -X POST https://api.muvi.video/v1/jobs/submit \
  -H "Authorization: Bearer $PIXELBYTE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "google/nano-banana/edit-image",
    "input": {
      "prompt": "Edit an image by replacing the background",
      "image_urls": ["https://example.com/your-image.jpg"],
      "aspect_ratio": "16:9",
      "resolution": "1k"
    }
  }'